From linux-kernel-owner+greg=40kroah.com-S1751003AbVHKVjr@vger.kernel.org Thu Aug 11 14:42:01 2005
Date: Thu, 11 Aug 2005 23:40:19 +0200
From: Jean Delvare <khali@linux-fr.org>
Subject: I2C: Kill i2c_algorithm.id (4/7)
Message-Id: <20050811234019.1717e36e.khali@linux-fr.org>

There are no more users of i2c_algorithm.id, so we can finally drop
this structure member.

Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/i2c/algos/i2c-algo-bit.c                  |    1 -
 drivers/i2c/algos/i2c-algo-ite.c                  |    1 -
 drivers/i2c/algos/i2c-algo-pca.c                  |    1 -
 drivers/i2c/algos/i2c-algo-pcf.c                  |    1 -
 drivers/i2c/algos/i2c-algo-sgi.c                  |    1 -
 drivers/i2c/algos/i2c-algo-sibyte.c               |    1 -
 drivers/i2c/busses/i2c-ali1535.c                  |    1 -
 drivers/i2c/busses/i2c-ali1563.c                  |    1 -
 drivers/i2c/busses/i2c-ali15x3.c                  |    1 -
 drivers/i2c/busses/i2c-amd756.c                   |    1 -
 drivers/i2c/busses/i2c-amd8111.c                  |    1 -
 drivers/i2c/busses/i2c-au1550.c                   |    1 -
 drivers/i2c/busses/i2c-i801.c                     |    1 -
 drivers/i2c/busses/i2c-ibm_iic.c                  |    1 -
 drivers/i2c/busses/i2c-iop3xx.c                   |    1 -
 drivers/i2c/busses/i2c-isa.c                      |    1 -
 drivers/i2c/busses/i2c-keywest.c                  |    1 -
 drivers/i2c/busses/i2c-mpc.c                      |    1 -
 drivers/i2c/busses/i2c-mv64xxx.c                  |    1 -
 drivers/i2c/busses/i2c-nforce2.c                  |    1 -
 drivers/i2c/busses/i2c-piix4.c                    |    1 -
 drivers/i2c/busses/i2c-sis5595.c                  |    1 -
 drivers/i2c/busses/i2c-sis630.c                   |    1 -
 drivers/i2c/busses/i2c-sis96x.c                   |    1 -
 drivers/i2c/busses/i2c-stub.c                     |    1 -
 drivers/i2c/busses/i2c-viapro.c                   |    1 -
 drivers/i2c/busses/scx200_acb.c                   |    1 -
 drivers/media/common/saa7146_i2c.c                |    1 -
 drivers/media/dvb/b2c2/flexcop-i2c.c              |    1 -
 drivers/media/dvb/dvb-usb/cxusb.c                 |    1 -
 drivers/media/dvb/dvb-usb/dibusb-common.c         |    1 -
 drivers/media/dvb/dvb-usb/digitv.c                |    1 -
 drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c |    1 -
 drivers/media/video/bttv-i2c.c                    |    1 -
 drivers/media/video/saa7134/saa7134-i2c.c         |    1 -
 drivers/usb/media/w9968cf.c                       |    1 -
 include/linux/i2c.h                               |    2 --
 37 files changed, 38 deletions(-)

--- gregkh-2.6.orig/drivers/i2c/algos/i2c-algo-bit.c	2005-08-30 12:21:17.000000000 -0700
+++ gregkh-2.6/drivers/i2c/algos/i2c-algo-bit.c	2005-08-30 12:21:18.000000000 -0700
@@ -519,7 +519,6 @@ static u32 bit_func(struct i2c_adapter *
 /* -----exported algorithm data: -------------------------------------	*/
 
 static struct i2c_algorithm i2c_bit_algo = {
-	.id		= I2C_ALGO_BIT,
 	.master_xfer	= bit_xfer,
 	.functionality	= bit_func,
 };
--- gregkh-2.6.orig/drivers/i2c/algos/i2c-algo-ite.c	2005-08-30 12:21:17.000000000 -0700
+++ gregkh-2.6/drivers/i2c/algos/i2c-algo-ite.c	2005-08-30 12:21:18.000000000 -0700
@@ -713,7 +713,6 @@ static u32 iic_func(struct i2c_adapter *
 /* -----exported algorithm data: -------------------------------------	*/
 
 static struct i2c_algorithm iic_algo = {
-	.id		= I2C_ALGO_IIC,
 	.master_xfer	= iic_xfer,
 	.algo_control	= algo_control, /* ioctl */
 	.functionality	= iic_func,
--- gregkh-2.6.orig/drivers/i2c/algos/i2c-algo-pca.c	2005-08-30 12:21:17.000000000 -0700
+++ gregkh-2.6/drivers/i2c/algos/i2c-algo-pca.c	2005-08-30 12:21:18.000000000 -0700
@@ -356,7 +356,6 @@ static int pca_init(struct i2c_algo_pca_
 }
 
 static struct i2c_algorithm pca_algo = {
-	.id		= I2C_ALGO_PCA,
 	.master_xfer	= pca_xfer,
 	.functionality	= pca_func,
 };
--- gregkh-2.6.orig/drivers/i2c/algos/i2c-algo-pcf.c	2005-08-30 12:21:17.000000000 -0700
+++ gregkh-2.6/drivers/i2c/algos/i2c-algo-pcf.c	2005-08-30 12:21:18.000000000 -0700
@@ -459,7 +459,6 @@ static u32 pcf_func(struct i2c_adapter *
 /* -----exported algorithm data: -------------------------------------	*/
 
 static struct i2c_algorithm pcf_algo = {
-	.id		= I2C_ALGO_PCF,
 	.master_xfer	= pcf_xfer,
 	.functionality	= pcf_func,
 };
--- gregkh-2.6.orig/drivers/i2c/algos/i2c-algo-sgi.c	2005-08-30 12:21:17.000000000 -0700
+++ gregkh-2.6/drivers/i2c/algos/i2c-algo-sgi.c	2005-08-30 12:21:18.000000000 -0700
@@ -158,7 +158,6 @@ static u32 sgi_func(struct i2c_adapter *
 }
 
 static struct i2c_algorithm sgi_algo = {
-	.id		= I2C_ALGO_SGI,
 	.master_xfer	= sgi_xfer,
 	.functionality	= sgi_func,
 };
--- gregkh-2.6.orig/drivers/i2c/algos/i2c-algo-sibyte.c	2005-08-30 12:21:17.000000000 -0700
+++ gregkh-2.6/drivers/i2c/algos/i2c-algo-sibyte.c	2005-08-30 12:21:18.000000000 -0700
@@ -135,7 +135,6 @@ static u32 bit_func(struct i2c_adapter *
 /* -----exported algorithm data: -------------------------------------	*/
 
 static struct i2c_algorithm i2c_sibyte_algo = {
-	.id		= I2C_ALGO_SIBYTE,
 	.smbus_xfer	= smbus_xfer,
 	.algo_control	= algo_control, /* ioctl */
 	.functionality	= bit_func,
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ali1535.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ali1535.c	2005-08-30 12:21:18.000000000 -0700
@@ -472,7 +472,6 @@ static u32 ali1535_func(struct i2c_adapt
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= ali1535_access,
 	.functionality	= ali1535_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ali1563.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ali1563.c	2005-08-30 12:21:18.000000000 -0700
@@ -366,7 +366,6 @@ static void ali1563_shutdown(struct pci_
 }
 
 static struct i2c_algorithm ali1563_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= ali1563_access,
 	.functionality	= ali1563_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ali15x3.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ali15x3.c	2005-08-30 12:21:18.000000000 -0700
@@ -462,7 +462,6 @@ static u32 ali15x3_func(struct i2c_adapt
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= ali15x3_access,
 	.functionality	= ali15x3_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-amd756.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-amd756.c	2005-08-30 12:21:18.000000000 -0700
@@ -295,7 +295,6 @@ static u32 amd756_func(struct i2c_adapte
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= amd756_access,
 	.functionality	= amd756_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-amd8111.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-amd8111.c	2005-08-30 12:21:18.000000000 -0700
@@ -323,7 +323,6 @@ static u32 amd8111_func(struct i2c_adapt
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id = I2C_ALGO_SMBUS,
 	.smbus_xfer = amd8111_access,
 	.functionality = amd8111_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-au1550.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-au1550.c	2005-08-30 12:21:18.000000000 -0700
@@ -283,7 +283,6 @@ au1550_func(struct i2c_adapter *adap)
 }
 
 static struct i2c_algorithm au1550_algo = {
-	.id		= I2C_ALGO_AU1550,
 	.master_xfer	= au1550_xfer,
 	.functionality	= au1550_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-i801.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-i801.c	2005-08-30 12:21:18.000000000 -0700
@@ -535,7 +535,6 @@ static u32 i801_func(struct i2c_adapter 
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= i801_access,
 	.functionality	= i801_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-ibm_iic.c	2005-08-30 12:21:17.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-ibm_iic.c	2005-08-30 12:21:18.000000000 -0700
@@ -627,7 +627,6 @@ static u32 iic_func(struct i2c_adapter *
 }
 
 static struct i2c_algorithm iic_algo = {
-	.id   		= I2C_ALGO_OCP,
 	.master_xfer 	= iic_xfer,
 	.functionality	= iic_func
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-iop3xx.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-iop3xx.c	2005-08-30 12:21:18.000000000 -0700
@@ -399,7 +399,6 @@ iop3xx_i2c_func(struct i2c_adapter *adap
 }
 
 static struct i2c_algorithm iop3xx_i2c_algo = {
-	.id		= I2C_ALGO_IOP3XX,
 	.master_xfer	= iop3xx_i2c_master_xfer,
 	.algo_control	= iop3xx_i2c_algo_control,
 	.functionality	= iop3xx_i2c_func,
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-isa.c	2005-08-30 12:21:16.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-isa.c	2005-08-30 12:21:18.000000000 -0700
@@ -43,7 +43,6 @@ static u32 isa_func(struct i2c_adapter *
 
 /* This is the actual algorithm we define */
 static struct i2c_algorithm isa_algorithm = {
-	.id		= I2C_ALGO_ISA,
 	.functionality	= isa_func,
 };
 
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-keywest.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-keywest.c	2005-08-30 12:21:18.000000000 -0700
@@ -498,7 +498,6 @@ keywest_func(struct i2c_adapter * adapte
 
 /* For now, we only handle combined mode (smbus) */
 static struct i2c_algorithm keywest_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= keywest_smbus_xfer,
 	.master_xfer	= keywest_xfer,
 	.functionality	= keywest_func,
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-mpc.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-mpc.c	2005-08-30 12:21:18.000000000 -0700
@@ -272,7 +272,6 @@ static u32 mpc_functionality(struct i2c_
 }
 
 static struct i2c_algorithm mpc_algo = {
-	.id = I2C_ALGO_MPC107,
 	.master_xfer = mpc_xfer,
 	.functionality = mpc_functionality,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-mv64xxx.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-mv64xxx.c	2005-08-30 12:21:18.000000000 -0700
@@ -433,7 +433,6 @@ mv64xxx_i2c_xfer(struct i2c_adapter *ada
 }
 
 static struct i2c_algorithm mv64xxx_i2c_algo = {
-	.id = I2C_ALGO_MV64XXX,
 	.master_xfer = mv64xxx_i2c_xfer,
 	.functionality = mv64xxx_i2c_functionality,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-nforce2.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-nforce2.c	2005-08-30 12:21:18.000000000 -0700
@@ -110,7 +110,6 @@ static u32 nforce2_func(struct i2c_adapt
 
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id = I2C_ALGO_SMBUS,
 	.smbus_xfer = nforce2_access,
 	.functionality = nforce2_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-piix4.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-piix4.c	2005-08-30 12:21:18.000000000 -0700
@@ -399,7 +399,6 @@ static u32 piix4_func(struct i2c_adapter
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= piix4_access,
 	.functionality	= piix4_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-sis5595.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-sis5595.c	2005-08-30 12:21:18.000000000 -0700
@@ -357,7 +357,6 @@ static u32 sis5595_func(struct i2c_adapt
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= sis5595_access,
 	.functionality	= sis5595_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-sis630.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-sis630.c	2005-08-30 12:21:18.000000000 -0700
@@ -448,7 +448,6 @@ exit:
 
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= sis630_access,
 	.functionality	= sis630_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-sis96x.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-sis96x.c	2005-08-30 12:21:18.000000000 -0700
@@ -249,7 +249,6 @@ static u32 sis96x_func(struct i2c_adapte
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= sis96x_access,
 	.functionality	= sis96x_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-stub.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-stub.c	2005-08-30 12:21:18.000000000 -0700
@@ -109,7 +109,6 @@ static u32 stub_func(struct i2c_adapter 
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.functionality	= stub_func,
 	.smbus_xfer	= stub_xfer,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/i2c-viapro.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/i2c-viapro.c	2005-08-30 12:21:18.000000000 -0700
@@ -286,7 +286,6 @@ static u32 vt596_func(struct i2c_adapter
 }
 
 static struct i2c_algorithm smbus_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= vt596_access,
 	.functionality	= vt596_func,
 };
--- gregkh-2.6.orig/drivers/i2c/busses/scx200_acb.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/scx200_acb.c	2005-08-30 12:21:18.000000000 -0700
@@ -395,7 +395,6 @@ static u32 scx200_acb_func(struct i2c_ad
 
 /* For now, we only handle combined mode (smbus) */
 static struct i2c_algorithm scx200_acb_algorithm = {
-	.id		= I2C_ALGO_SMBUS,
 	.smbus_xfer	= scx200_acb_smbus_xfer,
 	.functionality	= scx200_acb_func,
 };
--- gregkh-2.6.orig/drivers/media/common/saa7146_i2c.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/media/common/saa7146_i2c.c	2005-08-30 12:21:18.000000000 -0700
@@ -387,7 +387,6 @@ static int saa7146_i2c_xfer(struct i2c_a
 
 /* exported algorithm data */
 static struct i2c_algorithm saa7146_algo = {
-	.id		= I2C_ALGO_SAA7146,
 	.master_xfer	= saa7146_i2c_xfer,
 	.functionality	= saa7146_i2c_func,
 };
--- gregkh-2.6.orig/drivers/media/dvb/b2c2/flexcop-i2c.c	2005-08-30 12:21:10.000000000 -0700
+++ gregkh-2.6/drivers/media/dvb/b2c2/flexcop-i2c.c	2005-08-30 12:21:18.000000000 -0700
@@ -172,7 +172,6 @@ static u32 flexcop_i2c_func(struct i2c_a
 }
 
 static struct i2c_algorithm flexcop_algo = {
-	.id				= I2C_ALGO_BIT,
 	.master_xfer	= flexcop_master_xfer,
 	.functionality	= flexcop_i2c_func,
 };
--- gregkh-2.6.orig/drivers/media/dvb/dvb-usb/cxusb.c	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/drivers/media/dvb/dvb-usb/cxusb.c	2005-08-30 12:21:18.000000000 -0700
@@ -141,7 +141,6 @@ static u32 cxusb_i2c_func(struct i2c_ada
 }
 
 static struct i2c_algorithm cxusb_i2c_algo = {
-	.id            = I2C_ALGO_BIT,
 	.master_xfer   = cxusb_i2c_xfer,
 	.functionality = cxusb_i2c_func,
 };
--- gregkh-2.6.orig/drivers/media/dvb/dvb-usb/dibusb-common.c	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/drivers/media/dvb/dvb-usb/dibusb-common.c	2005-08-30 12:21:18.000000000 -0700
@@ -156,7 +156,6 @@ static u32 dibusb_i2c_func(struct i2c_ad
 }
 
 struct i2c_algorithm dibusb_i2c_algo = {
-	.id            = I2C_ALGO_BIT,
 	.master_xfer   = dibusb_i2c_xfer,
 	.functionality = dibusb_i2c_func,
 };
--- gregkh-2.6.orig/drivers/media/dvb/dvb-usb/digitv.c	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/drivers/media/dvb/dvb-usb/digitv.c	2005-08-30 12:21:18.000000000 -0700
@@ -77,7 +77,6 @@ static u32 digitv_i2c_func(struct i2c_ad
 }
 
 static struct i2c_algorithm digitv_i2c_algo = {
-	.id            = I2C_ALGO_BIT,
 	.master_xfer   = digitv_i2c_xfer,
 	.functionality = digitv_i2c_func,
 };
--- gregkh-2.6.orig/drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c	2005-08-30 12:21:18.000000000 -0700
@@ -1472,7 +1472,6 @@ static void frontend_init(struct ttusb* 
 
 
 static struct i2c_algorithm ttusb_dec_algo = {
-	.id		= I2C_ALGO_BIT,
 	.master_xfer	= master_xfer,
 	.functionality	= functionality,
 };
--- gregkh-2.6.orig/drivers/media/video/bttv-i2c.c	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/drivers/media/video/bttv-i2c.c	2005-08-30 12:21:18.000000000 -0700
@@ -270,7 +270,6 @@ static int bttv_i2c_xfer(struct i2c_adap
 }
 
 static struct i2c_algorithm bttv_algo = {
-	.id            = I2C_ALGO_BIT | I2C_HW_B_BT848 /* FIXME */,
 	.master_xfer   = bttv_i2c_xfer,
 	.algo_control  = algo_control,
 	.functionality = functionality,
--- gregkh-2.6.orig/drivers/media/video/saa7134/saa7134-i2c.c	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/drivers/media/video/saa7134/saa7134-i2c.c	2005-08-30 12:21:18.000000000 -0700
@@ -370,7 +370,6 @@ static int attach_inform(struct i2c_clie
 }
 
 static struct i2c_algorithm saa7134_algo = {
-	.id            = I2C_ALGO_SAA7134,
 	.master_xfer   = saa7134_i2c_xfer,
 	.algo_control  = algo_control,
 	.functionality = functionality,
--- gregkh-2.6.orig/drivers/usb/media/w9968cf.c	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/drivers/usb/media/w9968cf.c	2005-08-30 12:21:18.000000000 -0700
@@ -1573,7 +1573,6 @@ static int w9968cf_i2c_init(struct w9968
 	int err = 0;
 
 	static struct i2c_algorithm algo = {
-		.id =            I2C_ALGO_SMBUS,
 		.smbus_xfer =    w9968cf_i2c_smbus_xfer,
 		.algo_control =  w9968cf_i2c_control,
 		.functionality = w9968cf_i2c_func,
--- gregkh-2.6.orig/include/linux/i2c.h	2005-08-30 12:21:11.000000000 -0700
+++ gregkh-2.6/include/linux/i2c.h	2005-08-30 12:21:18.000000000 -0700
@@ -192,8 +192,6 @@ static inline char *i2c_clientname(struc
  * to name two of the most common.
  */
 struct i2c_algorithm {
-	unsigned int id;
-
 	/* If an adapter algorithm can't do I2C-level access, set master_xfer
 	   to NULL. If an adapter algorithm can do SMBus access, set 
 	   smbus_xfer. If set to NULL, the SMBus protocol is simulated
